Skip to main content
`Ctrl`+`K`

# PetscSubcommSetType

Set the way the original MPI communicator is divided up in the `PetscSubcomm`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSubcommSetType(PetscSubcomm psubcomm, PetscSubcommType subcommtype)

Collective

## Input Parameters

- psubcomm - `PetscSubcomm` context

- subcommtype - `PetscSubcommType` `PETSC_SUBCOMM_CONTIGUOUS` or `PETSC_SUBCOMM_INTERLACED`

## See Also

`PetscSubcommType`, `PETSC_SUBCOMM_CONTIGUOUS`, `PETSC_SUBCOMM_INTERLACED`, `PetscSubcommCreate()`, `PetscSubcommDestroy()`, `PetscSubcommSetNumber()`, `PetscSubcommSetTypeGeneral()`

## Level

advanced

## Location

src/sys/objects/subcomm.c

## Examples

src/ksp/ksp/tutorials/ex73.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages